tic;

warning off
addpath('./ext/');
addpath('./util/');


listname = 'objects.txt';
obj_list = read_input_txt(listname);

obj_dir_list = cell(length(obj_list));

perl_exe = 'perl';
for oi=1:length(obj_list)
    obj_dir_list{oi} = ['google_object_' num2str(oi)];
     disp(['getting Google images for object: ' obj_list{oi} ' now......']);
     system([perl_exe ' retrieveImagesFromGoogle2.pl 7 ' obj_dir_list{oi} ' ' obj_list{oi}]);
 
    for i = 1 : 5
        try
            filename = [obj_dir_list{oi} '/google_object_' num2str(oi), '_', num2str(i), '.jpg'];
            if( exist(filename))
                imread(filename);
            else
                idx = i;
                oldfilename = filename;
                
                for j = i+1:5
                    newfilename = [obj_dir_list{oi} '/google_object_' num2str(oi), '_', num2str(j), '.jpg'];
                    if( exist(newfilename))
                        system(['cp ', newfilename ' ' oldfilename]);
                        idx = idx + 1;
                        oldfilename = [obj_dir_list{oi} '/google_object_' num2str(oi), '_', num2str(idx+1), '.jpg'];
                    end
                end
            end
        catch
            idx = i;
            oldfilename = filename;
            for j = i+1:5
                newfilename = [obj_dir_list{oi} '/google_object_' num2str(oi), '_', num2str(j), '.jpg'];
                if( exist(newfilename))
                    system(['cp ', newfilename ' ' oldfilename]);
                    idx = idx + 1;
                    oldfilename = [obj_dir_list{oi} '/google_object_' num2str(oi), '_', num2str(idx+1), '.jpg'];
                end
            end
        end
    end
end;

obj_list = read_input_file(listname);
obj_list = pre_process_obj_images(obj_list);

t1 = toc
